import numpy as np
import matplotlib.pyplot as plt

#Make an arbitrary numpy array
a = np.array([0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24]) 

#Convert the array into a 5 X 5 matrix
b = a.reshape(5,5)

#Select the 3th column from the left
c = b[:,2]

# Lets get the sign value of the above selected column
d = np.sin(c)

# Now lets Plot the c and d. The r- means that it is a red line
plt.plot(c,d,'r-')

# Now lets view the graph
plt.show()

#If you are interrested saving the content to a file .....

My_File = open ("py_test.txt","wb") # wb means that you open the file as writable

My_Content = c 
My_File.write(bytes(My_Content))
My_File.close()
